/* Copyright (C) 2000 KOM/Darmstadt University of Technology
 *
 * You are allowed to use all other parts of the code under the following terms:
 *
 * For non-commercial use, code may be used in unmodified form provided
 * that this copyright notice and this permission notice appear in
 * supporting documentation.
 *
 * This software is provided "as is" and without any express or implied
 * warranties, including, without limitation, the implied warranty of
 * fitness for a particular purpose.
 *
 * The code may be subjected to the GNU General Public License, Version 2,
 * and re-distributed under the terms of this license.
 *
 * Commercial use other than under the terms of the GNU General Public
 * License is allowed only after express negotiation of conditions
 * with the authors.
 */

#ifndef _FirewallControlIpflfw_h_
#define _FirewallControlIpflfw_h_ 1

#include "../Global.h"
#include "../Connection.h"
#include "../Fwfil.h"
#include "../FirewallControl.h"

class FirewallControlIpflfw : public FirewallControl {

public:
        FirewallControlIpflfw(String type_t);
        ~FirewallControlIpflfw();

	int fw_del_chl_x(Fwfil *fwfilp);
	int fw_get_chl_x(Fwfil *fwfilp);
	int fw_get_dst_x(Connection *sc,Connection *dc);
};

#ifndef STATIC_PROXY
extern "C" {
FirewallControl *maker(String type_t){
   return new FirewallControlIpflfw(type_t);
}
}
#endif

#endif /* _FirewallControlIpflfw_h_ */
