/* Copyright (C) 2000 KOM/Darmstadt University of Technology
 *
 * You are allowed to use all other parts of the code under the following terms:
 *
 * For non-commercial use, code may be used in unmodified form provided
 * that this copyright notice and this permission notice appear in
 * supporting documentation.
 *
 * This software is provided "as is" and without any express or implied
 * warranties, including, without limitation, the implied warranty of
 * fitness for a particular purpose.
 *
 * The code may be subjected to the GNU General Public License, Version 2,
 * and re-distributed under the terms of this license.
 *
 * Commercial use other than under the terms of the GNU General Public
 * License is allowed only after express negotiation of conditions
 * with the authors.
 */
#include "FirewallControlNofw.h"
#include "../FirewallControl.h"
#include "../Log.h"
#include "../Conf.h"


FirewallControlNofw::FirewallControlNofw(String type_t){
	type=type_t;
}

FirewallControlNofw::~FirewallControlNofw(){
}

int FirewallControlNofw::fw_get_chl_x(Fwfil *fwfilp){
	LOG((__FILE__,__FUNCTION__,15,"no fw\n"))
	return(1);
}
int FirewallControlNofw::fw_del_chl_x(Fwfil *fwfilp){
	LOG((__FILE__,__FUNCTION__,15,"no fw\n"))
	return(1);
}
int FirewallControlNofw::fw_get_dst_x(Connection *sc,Connection *dc){
	LOG((__FILE__,__FUNCTION__,15,"no fw\n"))
	return(-1);
}

