/* Copyright (C) 2000 KOM/Darmstadt University of Technology
 *
 * You are allowed to use all other parts of the code under the following terms:
 *
 * For non-commercial use, code may be used in unmodified form provided
 * that this copyright notice and this permission notice appear in
 * supporting documentation.
 *
 * This software is provided "as is" and without any express or implied
 * warranties, including, without limitation, the implied warranty of
 * fitness for a particular purpose.
 *
 * The code may be subjected to the GNU General Public License, Version 2,
 * and re-distributed under the terms of this license.
 *
 * Commercial use other than under the terms of the GNU General Public
 * License is allowed only after express negotiation of conditions
 * with the authors.
 */
#ifndef _Listener_h_
#define _Listener_h_ 1

#include        "Global.h"
#include        "Thread.h"
#include        "Connection.h"
#include        "String.h"

class Log;
class Conf;

class Listener : public Thread{
	Mutex 	listenerLock;
	String  type;

        Connection 	*c_l;
        Connection 	*c_s;

        void 	main();
	int 	queueInProxy();
public:
        Listener(String type);
        ~Listener();

	int 	log(int loglevel);
	
};
#endif /* _Listener_h_ */


