/* Copyright (C) 2000 KOM/Darmstadt University of Technology
 *
 * You are allowed to use all other parts of the code under the following terms:
 *
 * For non-commercial use, code may be used in unmodified form provided
 * that this copyright notice and this permission notice appear in
 * supporting documentation.
 *
 * This software is provided "as is" and without any express or implied
 * warranties, including, without limitation, the implied warranty of
 * fitness for a particular purpose.
 *
 * The code may be subjected to the GNU General Public License, Version 2,
 * and re-distributed under the terms of this license.
 *
 * Commercial use other than under the terms of the GNU General Public
 * License is allowed only after express negotiation of conditions
 * with the authors.
 */
#ifndef _SignalHandler_h_
#define _SignalHandler_h_ 1

#include        "Global.h"

class SignalHandler{
	static void sighup ( int i );
	static void sigint ( int i );
	static void sigkill ( int i );
	static void sigterm ( int i );
	static void sigusr1 ( int i );
	static void sigusr2 ( int i );
	static void sigsegv ( int i );
public:
	static void install ();
	static void block (int sig);
	static void unblock (int sig);
	static void blockAll ();
	static void unblockAll ();
	

};
#endif /* _SignalHandler_h_ */


