/* Copyright (C) 2000 KOM/Darmstadt University of Technology
 *
 * You are allowed to use all other parts of the code under the following terms:
 *
 * For non-commercial use, code may be used in unmodified form provided
 * that this copyright notice and this permission notice appear in
 * supporting documentation.
 *
 * This software is provided "as is" and without any express or implied
 * warranties, including, without limitation, the implied warranty of
 * fitness for a particular purpose.
 *
 * The code may be subjected to the GNU General Public License, Version 2,
 * and re-distributed under the terms of this license.
 *
 * Commercial use other than under the terms of the GNU General Public
 * License is allowed only after express negotiation of conditions
 * with the authors.
 */
#include "FirewallControlTestfw.h"
#include "../FirewallControl.h"
#include "../Log.h"
#include "../Conf.h"


FirewallControlTestfw::FirewallControlTestfw(String type_t){
	type=type_t;
}

FirewallControlTestfw::~FirewallControlTestfw(){
}

int FirewallControlTestfw::fw_get_chl_x(Fwfil *fwfilp){
	LOG((__FILE__,__FUNCTION__,15,"fake fw\n"))
	return(1);
}
int FirewallControlTestfw::fw_del_chl_x(Fwfil *fwfilp){
	LOG((__FILE__,__FUNCTION__,15,"fake fw\n"))
	return(1);
}
int FirewallControlTestfw::fw_get_dst_x(Connection *sc,Connection *dc){
	String locator;
        String requestIP;
        String requestPORT;
        String sourceIP;
        String confIP;
	LOG((__FILE__,__FUNCTION__,15,"fake fw\n"))

	sourceIP  = String::IPtoString((sc->p_ip));
        for (int i=0;i<MAXLOCATORS;++i){
                locator = type + "_LOCATOR" + "_FW" + "_HOST" + "_" + i;
                confIP  = Global::getGlobal()->getConf()->getValAsString(locator);
                if (confIP!=String("")) {
                        LOG((__FILE__,__FUNCTION__,8,"LOCATOR: FW: testing %s = %s for %s\n",locator.c_str(),confIP.c_str(),sourceIP.c_str()))
                        if(sourceIP==confIP){
                                requestIP   = locator + "_IP";
                                requestPORT = locator + "_PORT";
                                if (((Global::getGlobal()->getConf()->getValAsString(requestIP))!=String("")) &&
                                        ((Global::getGlobal()->getConf()->getValAsString(requestPORT))!=String(""))) {
                                        dc->p_ip        = Global::getGlobal()->getConf()->getValAsIP(requestIP);
                                        dc->p_mask      = 0xffffffff;
                                        dc->p_port      = Global::getGlobal()->getConf()->getValAsInt(requestPORT);
					dc->ipproto     = sc->ipproto;
                                        return(1);
                                }
				else {
                                        WRN((__FILE__,__FUNCTION__,"LOCATOR: CONF: configuration file incomplete: KEY=%s VAL=%s KEY=%s VAL=%s\n",
                                                requestIP.c_str()  ,Global::getGlobal()->getConf()->getValAsString(requestIP).c_str(),
                                                requestPORT.c_str(),Global::getGlobal()->getConf()->getValAsString(requestPORT).c_str()))
                                }

                        }
                }
        }
	return(-1);
}

